/* --------------------------------------------------------------------------
    FILE        : ubl.c 				                             	 	  
    PURPOSE     : User boot loader main file
    PROJECT     : DM648 UBL for application loading
    AUTHOR      : Daniel Allred
    DESC        : The UBL has the job to load the application code
                  out of the NOR flash and into DDR RAM, and then configure
                  chip and EVM so that the application can run.  Basically
                  it has to do all the stuff that the GEL would do if the
                  application was being loaded from CCS.
 ----------------------------------------------------------------------------- */

// General type include
#include "tistdtypes.h"

// This module's header file
#include "ubl.h"

// DEVICE module (chip-specific init)
#include "device.h"


/************************************************************
* Explicit External Declarations                            *
************************************************************/


/************************************************************
* Local Macro Declarations                                  *
************************************************************/


/************************************************************
* Local Typedef Declarations                                *
************************************************************/


/************************************************************
* Local Function Declarations                               *
************************************************************/


/************************************************************
* Local Variable Definitions                                *
\***********************************************************/


/************************************************************
* Global Variable Definitions                               *
************************************************************/

/************************************************************
* Global Function Definitions                               *
************************************************************/

void main(void)
{

  // System init
  if (DEVICE_init() != E_PASS)
  {
    return;
  }

#ifdef UBL_SPI
  SPIBOOT_copy();
#endif

  DEVICE_enable_ARM();
}

/***********************************************************
* End file                                                 *
***********************************************************/

/* --------------------------------------------------------------------------
    HISTORY
        v1.00  -  DJA  -  16-Aug-2007
 	        Initial release 
 ----------------------------------------------------------------------------- */



